%define upstream_name    Thread-Queue
%define upstream_version 3.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Thread-safe queues
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Thread/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   perl(Thread::Queue) = %perl_convert_version %{upstream_version}

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.100.0
BuildRequires: perl(Test::More) >= 0.500.0
BuildRequires: perl(Thread::Semaphore)
BuildRequires: perl(threads::shared) >= 1.210.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module provides thread-safe FIFO queues that can be accessed safely by
any number of threads.

Any data types supported by the threads::shared manpage can be passed via
queues:

* Ordinary scalars

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun May 08 2016 shlomif <shlomif> 3.90.0-1.mga6
+ Revision: 1010823
- update to 3.09

* Fri Apr 15 2016 shlomif <shlomif> 3.70.0-1.mga6
+ Revision: 1002324
- update to 3.07

* Fri Feb 19 2016 umeabot <umeabot> 3.60.0-2.mga6
+ Revision: 969438
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 3.60.0-1.mga6
+ Revision: 868710
- update to 3.06

* Wed Oct 15 2014 umeabot <umeabot> 3.50.0-4.mga5
+ Revision: 750694
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 3.50.0-3.mga5
+ Revision: 736104
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 3.50.0-2.mga5
+ Revision: 686676
- Mageia 5 Mass Rebuild

* Tue Mar 25 2014 jquelin <jquelin> 3.50.0-1.mga5
+ Revision: 608283
- update to 3.05

* Fri Mar 14 2014 jquelin <jquelin> 3.40.0-1.mga5
+ Revision: 603690
- update to 3.04

* Thu Mar 13 2014 jquelin <jquelin> 3.30.0-1.mga5
+ Revision: 602798
- update to 3.03

* Mon Oct 21 2013 umeabot <umeabot> 3.20.0-2.mga4
+ Revision: 537504
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 3.20.0-1.mga4
+ Revision: 487122
- update to 3.02

* Wed Mar 27 2013 jquelin <jquelin> 3.10.0-3.mga3
+ Revision: 405576
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.10.0-2.mga3
+ Revision: 374264
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 3.10.0-1.mga3
+ Revision: 315711
- update to 3.01

* Fri Feb 18 2011 jquelin <jquelin> 2.120.0-2.mga1
+ Revision: 53662
- rebuild

* Mon Jan 24 2011 jquelin <jquelin> 2.120.0-1.mga1
+ Revision: 36619
- mageia rebuild
- imported package perl-Thread-Queue

